Overview | Modules | Class Hierarchy | Classes | Members

# tlp::AcyclicTest Class Reference
[Graph_test]

`#include <AcyclicTest.h>`

Inherits tlp::GraphObserver.

Inheritance diagram for tlp::AcyclicTest:

[legend]
Collaboration diagram for tlp::AcyclicTest:

[legend]
List of all members.

## Detailed Description

Class for testing if the graph is acyclic.

## Static Public Member Functions

- static bool isAcyclic (const Graph *graph)
- static void makeAcyclic (Graph *graph, std::vector< edge > &reversed, std::vector< tlp::SelfLoops > &selfLoops)
- static bool acyclicTest (const Graph *, std::vector< edge > *obstructionEdges=0)

## Member Function Documentation

static bool tlp::AcyclicTest::isAcyclic | ( | const Graph * | graph | ) | `[static]`

| returns true if the graph is acyclic, false if not. The result is cached (ie. the next call with the same graph is done in O(1) time)

Tulip Software by LaBRI Visualization Team 2001 - 2010